#!/usr/bin/env python
# -*- coding: utf-8 -*-
#--------------------------------------------------------------------
# Filname: setup.py
# Author: Mazhugin Aleksey
# Created: 2008/02/03
# ID: $Id: $
# URL: $URL: $
# Copyright: Copyright (c) 2008, Mazhugin Aleksey.
# License: BSD
#--------------------------------------------------------------------

from distutils.core import setup

setup(
    name = 'XPyLIB',
    version = '0.1.1',
    description='Library for Python',
    author='Mazhugin Aleksey',
    author_email='alexmv77@users.sourceforge.net',
    url='http://sourceforge.net/projects/xpylib',
##    download_url='',
    
    requires = ['wx (>= 2.6.4)'],
    
    packages=['XPyLIB', 'XPyTools', 'XPyTools.codetpl'],
##    package_dir = {'XPyLIB': '..', 'XPyTools': '..',},

    package_data={'XPyLIB':['config/*.*', 'test/*.*'],
        'XPyTools':['scripts/*.*'],
        'XPyTools.codetpl':['codetpl.bmp','boa_plug-ins/*.*', 'templates/*.*', 'test/*.*']
        },
        
##    data_files=[('',['./bugs.txt'])
##    ],

##    scripts = [],
)
